www/py-hyperframe - The NetBSD Packages Collection

HTTP/2 framing layer for Python

This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects to
provide HTTP/2 frame decoding logic.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/py-setuptools lang/python38 lang/python38

Available binary packages

aarch64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
aarch64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
aarch64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
aarch64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
aarch64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
alpha:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
alpha:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
alpha:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
alpha:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
alpha:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
alpha:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earm:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv6hf:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv6hf:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py36-hyperframe-6.0.0.tgz(NetBSD 8.0)
earmv7hf:py37-hyperframe-6.0.0.tgz(NetBSD 8.0)
earmv7hf:py38-hyperframe-6.0.0.tgz(NetBSD 8.0)
earmv7hf:py39-hyperframe-6.0.0.tgz(NetBSD 8.0)
earmv7hf:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
earmv7hf:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
earmv7hf:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
earmv7hf:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
i386:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
i386:py36-hyperframe-6.0.0.tgz(NetBSD 8.0)
i386:py37-hyperframe-6.0.0.tgz(NetBSD 8.0)
i386:py38-hyperframe-6.0.0.tgz(NetBSD 8.0)
i386:py39-hyperframe-6.0.0.tgz(NetBSD 8.0)
i386:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
i386:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
i386:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
i386:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
i386:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
m68k:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
mips64eb:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
mips64eb:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
mips64eb:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
mips64eb:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
mips64eb:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
mips64eb:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
mips64eb:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
mips64eb:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
powerpc:py36-hyperframe-6.0.0.tgz(NetBSD 8.0)
powerpc:py37-hyperframe-6.0.0.tgz(NetBSD 8.0)
powerpc:py38-hyperframe-6.0.0.tgz(NetBSD 8.0)
powerpc:py39-hyperframe-6.0.0.tgz(NetBSD 8.0)
powerpc:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
powerpc:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
powerpc:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
powerpc:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
powerpc:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
powerpc:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
sparc:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
sparc:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py27-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py36-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py37-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py38-hyperframe-5.2.0.tgz(NetBSD 8.0)
x86_64:py36-hyperframe-6.0.0.tgz(NetBSD 8.0)
x86_64:py37-hyperframe-6.0.0.tgz(NetBSD 8.0)
x86_64:py38-hyperframe-6.0.0.tgz(NetBSD 8.0)
x86_64:py39-hyperframe-6.0.0.tgz(NetBSD 8.0)
x86_64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py27-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-5.2.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py36-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py37-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py38-hyperframe-6.0.0.tgz(NetBSD 9.0)
x86_64:py39-hyperframe-6.0.0.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]